<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tlholiday WHERE ftholiday_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Pendidikan sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
    $objAxpDB->ViewName("Daftar Hari Libur");
    $objAxpDB->ViewTable("vHRHariLibur");
    $objAxpDB->ViewSQL("select fnid,ftholiday_code, ftholiday_name, fdholiday_date from tlholiday");
    $objAxpDB->ViewCaption("ID, Kode Hari Libur, Nama Hari Libur, Tgl. Hari Libur");

    $objAxpDB->FormName("Hari Libur");
    $objAxpDB->FormSQL("select ftholiday_code, ftholiday_name, fdholiday_date from tlholiday");
    $objAxpDB->FormCaption("Kode Hari Libur, Nama Hari Libur, Tgl. Hari Libur");
    $objAxpDB->FormPosition("TL, TL, TL");
//    $objAxpDB->FormScript(1, "onKeyUp=\"this.value=this.value.toUpperCase();\"");

    $objAxpDB->Lookup("fnstatus", "select fntrans_status_code, fttrans_status_name from tstransaction_status where fntrans_group_code = 9", "fntrans_status_code", "fttrans_status_name", 1, True);

    $objAxpDB->SetStatus("id, fnStatus");
    if ($objAxpDB->GetStatus("id") == "")
            $objAxpDB->ButtonShow("baru,cetak_daftar, export_excel ,  tutup");
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->FormLocked("0, 0");
            $objAxpDB->ButtonShow("reset, simpan, tutup");
    } elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->FormLocked("1, 0");
            $objAxpDB->ButtonShow("update, hapus, tutup");
    }
    $objAxpDB->Process();
    $objAxpDB->WriteHtmlTable();
	   
       
?>
